Fonction M2SCI

firstnonsingleton - Trouve la première dimension qui n'est pas 1

### Calling Sequence

  `[dim]=firstnonsingleton(A[,opt])`

### Parameters

- `dim` : première dimension de A qui n'est pas 1
- `A` : une variable de n'importe quel type de donnée Scilab
- `opt` : une chaîne de caractères qui précise le type de la variable de sortie que l'on veut
  - `"num"` : la valeur retournée est une valeur numérique
  - `"str"` : la valeur retournée est une chaîne de caractères si possible ("r" au lieu de 1 et "c" au lieu de 2)

### Description

Cette fonction est utilisée par `mfile2sci` pour émuler le comportement de Matlab sous Scilab, en particulier pour les fonctions qui traitent les valeurs suivant la première dimension de A qui n'est pas 1 en Matlab alors que dans Scilab elles traitent toutes les valeurs de A.

### Examples

    A = [1 2 3;4 5 6];
    // max Scilab
    M = max(A)
    // Emulation du max Matlab
    M = max(A,firstnonsingleton(A))

### Authors

  V.C.